#!/usr/bin/env node
"use strict";
var child_process_1 = require('child_process');
var path_1 = require('path');
var args = [path_1.join(__dirname, '_bin.js')];
for (var i = 2; i < process.argv.length; i++) {
    var arg = process.argv[i];
    var flag = arg.split('=')[0];
    switch (flag) {
        case '-d':
            args.unshift('--debug');
            break;
        case 'debug':
        case '--debug':
        case '--debug-brk':
            args.unshift(arg);
            break;
        case '-gc':
        case '--expose-gc':
            args.unshift('--expose-gc');
            break;
        case '--gc-global':
        case '--es_staging':
        case '--no-deprecation':
        case '--prof':
        case '--log-timer-events':
        case '--throw-deprecation':
        case '--trace-deprecation':
        case '--use_strict':
        case '--allow-natives-syntax':
        case '--perf-basic-prof':
            args.unshift(arg);
            break;
        default:
            if (/^--(?:harmony|trace|icu-data-dir|max-old-space-size)/.test(arg)) {
                args.unshift(arg);
            }
            break;
    }
    if (/^[^-]/.test(arg)) {
        break;
    }
}
var proc = child_process_1.spawn(process.execPath, args.concat(process.argv.slice(2)), { stdio: 'inherit' });
proc.on('exit', function (code, signal) {
    process.on('exit', function () {
        if (signal) {
            process.kill(process.pid, signal);
        }
        else {
            process.exit(code);
        }
    });
});
//# sourceMappingURL=bin.js.map